Skip to content

quickstart guide confused on how GET:/systems works? #124

Open

Description

@treeplate

https://spacetraders.io/game-concepts/systems-waypoints says that "You can view a list of all systems in the universe by calling the following endpoint:" and has an interactive endpoint caller suggesting curl --request \ --url 'https://api.spacetraders.io/v2/systems'. GET:/systems, however, is a paginated endpoint, which means that in order to get all the systems you would have to call that endpoint ~352 times.

Activity

  1. changed the title [-]quickstart guide confused on how GET:/systems works?[/-] [+]quickstart guide confused on how `GET:/systems` works?[/+] on Sep 7, 2026
  2. treeplate commented on Sep 7, 2026

    @treeplate
    Author

    (which would take ~3 minutes because of rate limits)

  3. treeplate commented on Sep 10, 2026

    @treeplate
    Author

    i guess this is intentional? still, that's not very clear in the quickstart guide

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Metadata

Metadata

Assignees

No one assigned

    Labels

    No labels
    No labels

    Type

    No type

    Projects

    No projects

      Milestone

      No milestone

      Relationships

      None yet

      Development

      No branches or pull requests

      Issue actions